Aircraft lookup
curl --request GET \
--url https://data.flightportrait.com/v1/refdata/aircraft/{hex_id}import requests
url = "https://data.flightportrait.com/v1/refdata/aircraft/{hex_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data.flightportrait.com/v1/refdata/aircraft/{hex_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hex": "76cd06",
"registration": "9V-SHF",
"type": "A359",
"operator": "Singapore Airlines",
"operator_icao": "SIA",
"year": 2019,
"source": "tar1090",
"type_name": "Airbus A350-900",
"category": "wide"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Reference
Aircraft lookup
Registration, type, and operator for one ICAO hex.
GET
/
v1
/
refdata
/
aircraft
/
{hex_id}
Aircraft lookup
Path Parameters
ICAO 24-bit address, hex. Case-insensitive.
Response
OK